Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface ISelectionService

All Known Subinterfaces:
  IWorkbenchPage

public interface ISelectionService

A selection service tracks the selection within an object.

A listener that wants to be notified when the selection becomes `null` must implement the `INullSelectionListener` interface.

This interface is not intended to be implemented by clients.

See Also:
  `ISelectionListener`, `INullSelectionListener`

Method Summary
`void` | `addPostSelectionListener(ISelectionListener listener)` Adds the given post selection listener.It is equivalent to selection changed if the selection was triggered by the mouse but it has a delay if the selection is triggered by the keyboard arrows.
`void` | `addPostSelectionListener(String partId, ISelectionListener listener)` Adds a part-specific selection listener which is notified when selection changes in the part with the given id.
`void` | `addSelectionListener(ISelectionListener listener)` Adds the given selection listener.
`void` | `addSelectionListener(String partId, ISelectionListener listener)` Adds a part-specific selection listener which is notified when selection changes in the part with the given id.
`ISelection` | `getSelection()` Returns the current selection in the active part.
`ISelection` | `getSelection(String partId)` Returns the current selection in the part with the given id.
`void` | `removePostSelectionListener(ISelectionListener listener)` Removes the given post selection listener.
`void` | `removePostSelectionListener(String partId, ISelectionListener listener)` Removes the given part-specific post selection listener.
`void` | `removeSelectionListener(ISelectionListener listener)` Removes the given selection listener.
`void` | `removeSelectionListener(String partId, ISelectionListener listener)` Removes the given part-specific selection listener.

Method Detail

### addSelectionListener

    public void addSelectionListener(ISelectionListener listener)

  Adds the given selection listener. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - a selection listener

### addSelectionListener

    public void addSelectionListener(String partId,
                                     ISelectionListener listener)

  Adds a part-specific selection listener which is notified when selection changes in the part with the given id. This is independent of part activation - the part need not be active for notification to be sent.

  When the part is created, the listener is passed the part's initial selection. When the part is disposed, the listener is passed a `null` selection, but only if the listener implements `INullSelectionListener`.

  Parameters:
    `partId` - the id of the part to track
    `listener` - a selection listener
  Since:
    2.0

### addPostSelectionListener

    public void addPostSelectionListener(ISelectionListener listener)

  Adds the given post selection listener.It is equivalent to selection changed if the selection was triggered by the mouse but it has a delay if the selection is triggered by the keyboard arrows. Has no effect if an identical listener is already registered. Note: Works only for StructuredViewer(s).

  Parameters:
    `listener` - a selection listener

### addPostSelectionListener

    public void addPostSelectionListener(String partId,
                                         ISelectionListener listener)

  Adds a part-specific selection listener which is notified when selection changes in the part with the given id. This is independent of part activation - the part need not be active for notification to be sent.

  When the part is created, the listener is passed the part's initial selection. When the part is disposed, the listener is passed a `null` selection, but only if the listener implements `INullSelectionListener`.

  Parameters:
    `partId` - the id of the part to track
    `listener` - a selection listener
  Since:
    2.0

### getSelection

    public ISelection getSelection()

  Returns the current selection in the active part. If the selection in the active part is undefined (the active part has no selection provider) the result will be `null`.

  Returns:
    the current selection, or `null` if undefined

### getSelection

    public ISelection getSelection(String partId)

  Returns the current selection in the part with the given id. If the part is not open, or if the selection in the active part is undefined (the active part has no selection provider) the result will be `null`.

  Parameters:
    `partId` - the id of the part
  Returns:
    the current selection, or `null` if undefined
  Since:
    2.0

### removeSelectionListener

    public void removeSelectionListener(ISelectionListener listener)

  Removes the given selection listener. Has no effect if an identical listener is not registered.

  Parameters:
    `listener` - a selection listener

### removeSelectionListener

    public void removeSelectionListener(String partId,
                                        ISelectionListener listener)

  Removes the given part-specific selection listener. Has no effect if an identical listener is not registered for the given part id.

  Parameters:
    `partId` - the id of the part to track
    `listener` - a selection listener
  Since:
    2.0

### removePostSelectionListener

    public void removePostSelectionListener(ISelectionListener listener)

  Removes the given post selection listener. Has no effect if an identical listener is not registered.

  Parameters:
    `listener` - a selection listener

### removePostSelectionListener

    public void removePostSelectionListener(String partId,
                                            ISelectionListener listener)

  Removes the given part-specific post selection listener. Has no effect if an identical listener is not registered for the given part id.

  Parameters:
    `partId` - the id of the part to track
    `listener` - a selection listener
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.